%global with_gcj %{!?_without_gcj:1}%{?_without_gcj:0}

Name:           fontbox
Version:        0.8.0
Release:        2%{?dist}
Summary:        Java library for working with PDF fonts

Group:          Development/Libraries
License:        ASL 2.0
URL:            http://incubator.apache.org/pdfbox/
Source0:        http://www.apache.org/dist/incubator/pdfbox/%{name}/source/%{name}-%{version}-incubating-src.jar
#Disable downloading of required jars
Patch0:         %{name}-0.8.0-local.patch
BuildRoot:      %{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n)

BuildRequires:  jpackage-utils
BuildRequires:  java-devel
BuildRequires:  ant-nodeps

%if %{with_gcj}
BuildRequires:    java-gcj-compat-devel >= 1.0.31
Requires(post):   java-gcj-compat >= 1.0.31
Requires(postun): java-gcj-compat >= 1.0.31
%else
BuildArch:      noarch
%endif

Requires:       jpackage-utils
Requires:       java

%description
Apache FontBox is an open source Java library for working with PDF fonts. 


%package javadoc
Summary:        Javadocs for %{name}
Group:          Documentation
Requires:       %{name} = %{version}-%{release}
Requires:       jpackage-utils

%description javadoc
This package contains the API documentation for %{name}.


%prep
%setup -q -n %{name}-%{version}-incubating
%patch0 -p1 -b .local


%build
ant package javadoc


%install
rm -rf $RPM_BUILD_ROOT
mkdir -p $RPM_BUILD_ROOT%{_javadir}
cp -p lib/%{name}-%{version}-incubating.jar \
  $RPM_BUILD_ROOT%{_javadir}/
ln -s %{name}-%{version}-incubating.jar $RPM_BUILD_ROOT%{_javadir}/%{name}-%{version}.jar
ln -s %{name}-%{version}-incubating.jar $RPM_BUILD_ROOT%{_javadir}/%{name}.jar

mkdir -p $RPM_BUILD_ROOT%{_javadocdir}/%{name}
cp -rp website/build/site/javadoc \
$RPM_BUILD_ROOT%{_javadocdir}/%{name}

%if %{with_gcj}
%{_bindir}/aot-compile-rpm
%endif


%clean
rm -rf $RPM_BUILD_ROOT


%post
%if %{with_gcj}
  if [ -x %{_bindir}/rebuild-gcj-db ] 
  then
    %{_bindir}/rebuild-gcj-db
  fi
%endif

%postun
%if %{with_gcj}
  if [ -x %{_bindir}/rebuild-gcj-db ] 
  then
    %{_bindir}/rebuild-gcj-db
  fi
%endif


%files
%defattr(-,root,root,-)
%doc LICENSE.txt NOTICE.txt README.txt RELEASE-NOTES.txt
%{_javadir}/%{name}.jar
%{_javadir}/%{name}-%{version}.jar
%{_javadir}/%{name}-%{version}-incubating.jar
%if %{with_gcj}
%{_libdir}/gcj/%{name}
%endif

%files javadoc
%defattr(-,root,root,-)
%{_javadocdir}/%{name}


%changelog
* Mon Nov 9 2009 Orion Poplawski <orion@cora.nwra.com> - 0.8.0-2
- Change javadoc group
- Remove unneded %%attr

* Thu Oct 15 2009 Orion Poplawski <orion@cora.nwra.com> - 0.8.0-1
- Initial Fedora Package
